Bug 133402

Summary: [GTK] media controls should prevent 'click' events from reaching the page
Product: WebKit Reporter: Xabier Rodríguez Calvar <calvaris>
Component: WebCore Misc.Assignee: Xabier Rodríguez Calvar <calvaris>
Status: RESOLVED FIXED    
Severity: Normal CC: calvaris, commit-queue, eric.carlson, glenn, jer.noble, mrobinson, philipj, sergio, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 133268    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch none

Description Xabier Rodríguez Calvar 2014-05-30 02:23:18 PDT
+++ This bug was initially created as a clone of Bug #133268 +++

The C++ based media control elements stopped 'click' event propagation, the JS based controls should too.
Comment 1 Xabier Rodríguez Calvar 2014-05-30 03:14:52 PDT
Created attachment 232288 [details]
Patch
Comment 2 Xabier Rodríguez Calvar 2014-05-30 03:32:22 PDT
Created attachment 232289 [details]
Patch

Removed returning true for handlePlay and handleTimeUpdate which are not input but video events.
Comment 3 Xabier Rodríguez Calvar 2014-06-01 09:31:59 PDT
If any reviewer had a minute for this quick review I would be deeply grateful :D
Comment 4 WebKit Commit Bot 2014-06-02 01:31:57 PDT
Comment on attachment 232289 [details]
Patch

Clearing flags on attachment: 232289

Committed r169527: <http://trac.webkit.org/changeset/169527>
Comment 5 WebKit Commit Bot 2014-06-02 01:32:00 PDT
All reviewed patches have been landed.  Closing bug.